@REM
@REM Copyright (c) Microsoft Corporation.  All rights reserved.
@REM
@REM
@REM Use of this sample source code is subject to the terms of the Microsoft
@REM license agreement under which you licensed this sample source code. If
@REM you did not accept the terms of the license agreement, you are not
@REM authorized to use this sample source code. For the terms of the license,
@REM please see the license agreement between you and Microsoft or, if applicable,
@REM see the LICENSE.RTF on your install media or the root of your tools installation.
@REM THE SAMPLE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES.
@REM
REM Platform specific sysgen settings

if /i not "%1"=="preproc" goto :Not_Preproc
    goto :EOF
:Not_Preproc

REM Pass1. Add new platform specific settings here.
if /i not "%1"=="pass1" goto :Not_Pass1

set SYSGEN_ATAPI_PCIO=1
set SYSGEN_ATAPI_PCIP_PDC20262=1

set SYSGEN_USB_HID=1
set SYSGEN_USB_HID_CLIENTS=1
set SYSGEN_USB_HID_KEYBOARD=1
set SYSGEN_USB_HID_MOUSE=1

@REM USB function driver
set SYSGEN_USBFN=1

@REM USB Storage
set SYSGEN_USB_STORAGE=1

@REM Enable file systems
set SYSGEN_FATFS=1
set SYSGEN_UDFS=1
set SYSGEN_MSPART=1
set SYSGEN_STOREMGR_CPL=1

@REM Include SDIO supports
set SYSGEN_SDBUS=1
set IMGSDBUS2=1
set SYSGEN_SDHC_STANDARD=1
set SYSGEN_SD_MEMORY=1

@REM Include Audio support
set SYSGEN_AUDIO=1

@REM Exclude softkeyboard
set SYSGEN_SOFTKB=


    goto :EOF

:Not_Pass1

if /i not "%1"=="pass2" goto :Not_Pass2
    goto :EOF
:Not_Pass2

if /i not "%1"=="report" goto :Not_Report
    goto :EOF
:Not_Report



